![VengamoChatUI](https://github.com/vengamo/vengamo-chat-ui/assets/133201077/b290163a-dd84-487a-ba9f-bfd362bdd0f5)


Vengamo Chat UI is a Flutter project that combines the user interface elements of WhatsApp, Telegram, and Facebook Messenger in one place. It offers a seamless and intuitive chat experience inspired by these popular messaging applications.


## Features

- Familiar UI elements from WhatsApp, Telegram, and Facebook Messenger.
- Customizable themes to personalize the chat interface.
- Group chats with support for multiple participants (to be added in coming version)
- Real-time message updates and notifications (to be added in coming version)
- Rich media sharing, including photos, videos, and files (to be added in coming version)
- Emojis and stickers for expressive conversations. (to be added in coming version)
- Voice and video calling functionalities (to be implemented).


## Getting Started

To use Vengamo Chat UI in your Flutter project, follow these steps:

1. Ensure that you have Flutter installed on your system. For installation instructions, refer to the [Flutter official documentation](https://flutter.dev/docs/get-started/install).

2. Open your project's `pubspec.yaml` file.

3. Add the following dependency under the `dependencies` section:

   ```yaml
   dependencies:
     vengamo_chat_ui: ^1.0.0
   ```

   Replace `^1.0.0` with the desired version of Vengamo Chat UI.

4. Save the `pubspec.yaml` file.

5. Run the following command in your project's root directory:

   ```bash
   flutter pub get
   ```

6. Import Vengamo Chat UI in your Dart code:

   ```dart
   import 'package:vengamo_chat_ui/vengamo_chat_ui.dart';
   ```

7. You can now use Vengamo Chat UI components in your Flutter app.

## Contributions

Contributions to the Vengamo Chat UI project are welcome! If you find any issues or have suggestions for improvements, feel free to open an issue or submit a pull request. Please follow the project's code of conduct.

## License

The Vengamo Chat UI project is licensed under the [MIT License](LICENSE).

Feel free to use this README template as a starting point and add more details as needed to provide a comprehensive overview of your Vengamo Chat UI project.