import 'package:flutter/material.dart';
import 'package:vengamo_chat_ui/chat_bubble.dart';
import 'package:vengamo_chat_ui/theme/app_color.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Vengamo Chat UI',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: VengamoChatScreen(),
    );
  }
}

class VengamoChatScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Vengamo Chat'),
      ),
      body: VengamoChatUI(
        senderBgColor: AppColors.softGreenColor,
        receiverBgColor: AppColors.white,
        isSender: true,
        isNextMessageFromSameSender: false,
        status: "delivered",
        text: "Yolla :) Vengamo Community",
      ), // Use Vengamo Chat UI component here
    );
  }
}