import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class BubbleText extends StatelessWidget {
  const BubbleText({
    Key? key,
    required this.text,
    required this.isMe,
    required this.textColor,
  }) : super(key: key);

  final String text;
  final bool isMe;
  final Color textColor;

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Colors.transparent,
      child: SelectableText(
        text,
        style: GoogleFonts.roboto(
          color: isMe ? Colors.black.withOpacity(0.87) : textColor,
          fontSize: 15,
        ),
      ),
    );
  }
}
